aboutsummaryrefslogtreecommitdiffstats
path: root/meta-perl
diff options
context:
space:
mode:
authorKang Kai <kai.kang@windriver.com>2014-08-14 17:13:30 +0800
committerMartin Jansa <Martin.Jansa@gmail.com>2014-08-21 21:35:05 +0200
commite4c1f724441af1c518d6bfe54457e09c1504dd21 (patch)
tree9f4d5cd11de8014521ebb4dc3e4c20a5486271b4 /meta-perl
parent622ad1538bd931e3bda6c8a9c4cd879db454d15d (diff)
downloadmeta-openembedded-e4c1f724441af1c518d6bfe54457e09c1504dd21.tar.gz
meta-openembedded-e4c1f724441af1c518d6bfe54457e09c1504dd21.tar.bz2
meta-openembedded-e4c1f724441af1c518d6bfe54457e09c1504dd21.zip
libdigest-sha1-perl: add recipe
Add recipe for libdigest-sha1-perl and enable create -ptest sub-package. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Diffstat (limited to 'meta-perl')
-rw-r--r--meta-perl/recipes-perl/libdigest/files/run-ptest16
-rw-r--r--meta-perl/recipes-perl/libdigest/libdigest-sha1-perl_2.13.bb25
2 files changed, 41 insertions, 0 deletions
diff --git a/meta-perl/recipes-perl/libdigest/files/run-ptest b/meta-perl/recipes-perl/libdigest/files/run-ptest
new file mode 100644
index 000000000..c9f9ca94d
--- /dev/null
+++ b/meta-perl/recipes-perl/libdigest/files/run-ptest
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+for case in `find t -type f -name '*.t'`; do
+ perl $case >$case.output 2>&1
+ ret=$?
+ cat $case.output
+ if [ $ret -ne 0 ]; then
+ echo "FAIL: ${case%.t}"
+ elif grep -i 'SKIP' $case.output; then
+ echo "SKIP: ${case%.t}"
+ else
+ echo "PASS: ${case%.t}"
+ fi
+
+ rm -f $case.output
+done
diff --git a/meta-perl/recipes-perl/libdigest/libdigest-sha1-perl_2.13.bb b/meta-perl/recipes-perl/libdigest/libdigest-sha1-perl_2.13.bb
new file mode 100644
index 000000000..0371ea68c
--- /dev/null
+++ b/meta-perl/recipes-perl/libdigest/libdigest-sha1-perl_2.13.bb
@@ -0,0 +1,25 @@
+SUMMARY = "Perl interface to the SHA-1 algorithm "
+DESCRIPTION = "Digest::SHA1 - Perl interface to the SHA-1 algorithm"
+HOMEPAGE = "http://search.cpan.org/~gaas/Digest-SHA1-2.13/"
+SECTION = "libs"
+
+LICENSE = "Artistic-1.0|GPLv1+"
+LIC_FILES_CHKSUM = "file://README;beginline=10;endline=14;md5=ff5867ebb4bc1103a7a416aef2fce00a"
+
+SRC_URI = "http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Digest-SHA1-${PV}.tar.gz \
+ file://run-ptest \
+ "
+SRC_URI[md5sum] = "bd22388f268434f2b24f64e28bf1aa35"
+SRC_URI[sha256sum] = "68c1dac2187421f0eb7abf71452a06f190181b8fc4b28ededf5b90296fb943cc"
+
+S = "${WORKDIR}/Digest-SHA1-${PV}"
+
+inherit cpan ptest
+
+do_install_ptest () {
+ cp -r ${B}/t ${D}${PTEST_PATH}
+}
+
+BBCLASSEXTEND="native"
+
+FILES_${PN}-dbg =+ "${libdir}/perl/vendor_perl/*/auto/Digest/SHA1/.debug/"